GlueGen: com.jogamp.common.util.TestLongIntHashMap Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.util.TestLongIntHashMap Class Reference
Inheritance diagram for com.jogamp.common.util.TestLongIntHashMap:
Collaboration diagram for com.jogamp.common.util.TestLongIntHashMap:

## Public Member Functions

void | testPutRemove ()
| Test of put method, of class LongIntHashMap. More...
void | iteratorTest ()
void | benchmark ()
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | init ()
static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Definition at line 58 of file TestLongIntHashMap.java.

## Member Function Documentation

## ◆ benchmark()

void com.jogamp.common.util.TestLongIntHashMap.benchmark | ( |  | ) |

Definition at line 132 of file TestLongIntHashMap.java.

## ◆ init()

static void com.jogamp.common.util.TestLongIntHashMap.init | ( |  | ) |

static

Definition at line 64 of file TestLongIntHashMap.java.

Here is the call graph for this function:

## ◆ iteratorTest()

void com.jogamp.common.util.TestLongIntHashMap.iteratorTest | ( |  | ) |

Definition at line 107 of file TestLongIntHashMap.java.

Here is the call graph for this function:

## ◆ main()

static void com.jogamp.common.util.TestLongIntHashMap.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 208 of file TestLongIntHashMap.java.

## ◆ testPutRemove()

void com.jogamp.common.util.TestLongIntHashMap.testPutRemove | ( |  | ) |

Test of put method, of class LongIntHashMap.

Definition at line 73 of file TestLongIntHashMap.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/TestLongIntHashMap.java